uglify-js (3.17.4-3) unstable; urgency=medium

  * Team upload.
  * Fix clean target. Closes: #1046474.
  * Drop "Rules-Requires-Root: no" (default).
  * Drop "Priority: optional" (default).
  * Update standards-version.
  * Simplify salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Wed, 11 Feb 2026 20:20:00 +0100

uglify-js (3.17.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * apply multi-arch hints: add Multi-Arch: foreign

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Dec 2022 20:13:41 +0100

uglify-js (3.17.4-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Dec 2022 20:03:16 +0100

uglify-js (3.17.3-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 18 Oct 2022 20:00:30 +0200

uglify-js (3.17.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 27 Sep 2022 16:27:05 +0200

uglify-js (3.17.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 25 Sep 2022 09:41:45 +0200

uglify-js (3.17.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info:
    + update coverage
    + drop superfluous alternate Source URI
  * update lintian overrides

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 24 Aug 2022 19:52:21 +0200

uglify-js (3.16.3-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 29 Jul 2022 19:58:30 +0200

uglify-js (3.16.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Jun 2022 15:17:41 +0200

uglify-js (3.16.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update git-buildpackage config:
    + use DEP-14 git branches
    + enable automatic DEP-14 branch name handling
    + add usage config
  * declare compliance with Debian Policy 4.6.1

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Jun 2022 10:53:11 +0200

uglify-js (3.15.4-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Apr 2022 10:51:46 +0200

uglify-js (3.15.3-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 13 Mar 2022 09:28:33 +0100

uglify-js (3.15.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 Feb 2022 10:35:44 +0100

uglify-js (3.15.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update generating documentation;
    build-depend on cmark-gfm (not pandoc)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Feb 2022 11:50:32 +0100

uglify-js (3.15.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Feb 2022 11:38:59 +0100

uglify-js (3.14.5-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * minor improvement to long description of node-uglify-js
  * tighten lintian overrides

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 15 Dec 2021 12:06:23 +0100

uglify-js (3.14.4-2) unstable; urgency=medium

  * Team upload
  * Fix autopkgtest

 -- Yadd <yadd@debian.org>  Thu, 09 Dec 2021 09:22:21 +0100

uglify-js (3.14.4-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update lintian overrides

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 03 Dec 2021 13:01:20 +0100

uglify-js (3.14.3-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Nov 2021 01:50:19 +0100

uglify-js (3.14.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info:
    + use Reference field (not License-Reference);
      update and tighten lintian overrides
    + update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Sep 2021 00:11:45 +0200

uglify-js (3.14.1-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.6.0

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Aug 2021 12:51:07 +0200

uglify-js (3.13.4-1) unstable; urgency=medium

  [ upstream ]
  * new bugfix release(s)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 18 Apr 2021 09:53:20 +0200

uglify-js (3.13.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Mar 2021 15:58:16 +0100

uglify-js (3.12.8-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Feb 2021 01:44:29 +0100

uglify-js (3.12.7-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 06 Feb 2021 23:59:51 +0100

uglify-js (3.12.5-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 22 Jan 2021 18:45:19 +0100

uglify-js (3.12.4-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 04 Jan 2021 19:27:36 +0100

uglify-js (3.12.3-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update lintian override for source-is-missing false positive
  * fix have autopkgtest depend on nodejs

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 31 Dec 2020 07:35:28 +0100

uglify-js (3.12.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * stop depend on nodejs for package node-uglify-js

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Dec 2020 19:04:24 +0100

uglify-js (3.12.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * use brotli compression suffix .brotli
    (not .br used for language breton)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 03 Dec 2020 19:45:07 +0100

uglify-js (3.12.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Nov 2020 03:31:56 +0100

uglify-js (3.11.6-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop obsolete lintian override
  * declare compliance with Debian Policy 4.5.1

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 20 Nov 2020 22:43:50 +0100

uglify-js (3.11.5-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Nov 2020 10:09:12 +0100

uglify-js (3.11.4-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 02 Nov 2020 22:08:49 +0100

uglify-js (3.10.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 27 Aug 2020 23:17:34 +0200

uglify-js (3.10.1-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * simplify source script copyright-check
  * drop obsolete TODO file
  * use debhelper compatibility level 13 (not 12)
  * drop obsolete patch;
    stop (build-)depend on node-commander
  * update autopkgtest: slightly different --help output

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 09 Aug 2020 17:43:09 +0200

uglify-js (3.9.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * remove empty control field Recommends
  * set upstream metadata fields:
    Bug-Database Bug-Submit Repository Repository-Browse

  [ Jonas Smedegaard ]
  * fix stop depend on node-source-map (unused since 3.9.0)
  * add patch 1001 to support commander 4 (not only 2)
    closes: bug#952335, thanks to Xavier Guimard

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Jun 2020 12:29:49 +0200

uglify-js (3.9.4-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update Homepage and Source URLs
  * add superficial skip-not-installable eslint autopkgtest
  * update lintian overrides about source-is-missing false positives

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Jun 2020 15:45:49 +0200

uglify-js (3.9.1-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * stop build-depend on node-source-map
  * copyright: extend coverage
  * use debhelper compatibility level 12 (not 10);
    build-depend on debhelper-compat (not debhelper)
  * declare compliance with Debian Policy 4.5.0
  * update homepage URL
  * update lintian overrides about source-is-missing false positives

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 18 Apr 2020 17:48:59 +0200

uglify-js (3.6.3-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Use debhelper compatibility level 10.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 22 Oct 2019 12:44:12 +0200

uglify-js (3.6.1-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Declare compliance with Debian Policy 4.4.1.
  * Mark superficial autopkgtests as such.
  * Install nodejs code under /usr/share (not /usr/lib).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 Oct 2019 12:05:26 +0200

uglify-js (3.6.0-3) unstable; urgency=medium

  * Fix have libjs-uglify-js autopkgtest depend on nodejs.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 25 Jul 2019 23:03:32 -0300

uglify-js (3.6.0-2) unstable; urgency=medium

  * Fix tighten dependencies between binary packages.
    See Bug#931791. Thanks to Pirate Praveen.
  * Declare compliance with Debian Policy 4.4.0.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Jul 2019 13:02:38 -0300

uglify-js (3.6.0-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update copyright info: Extend coverage for main upstream author.
  * Extend autopkgtest to cover all binary packages.
  * Update path the testsuite.
  * Fix support DEB_BUILD_OPTIONS=nocheck.
  * Update and tighten lintian overrides.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Jul 2019 20:13:47 -0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog node-uglify-js`.
